所有api接口都需要鉴权规则,具体详情前往鉴权规则查看

创建预览外呼任务

接口说明:用于创建外呼任务

请求参数

字段名称 字段类型 是否必传 字段描述
taskName string 任务名称
description string 任务备注
agentNumberList string[] 座席工号列表
queueNumberList string[] 技能组编号列表
agentNumber string 任务创建人工号

请求示例

curl --location --request POST 'http://v7openapi.7moor.com/openapi/v1/call/dialout/task/create' \
--header 'm7-appkey: 2000103' \
--header 'm7-nonce: 909455' \
--header 'm7-sign: Bxg/hPidTlWcK9JGHJiI6YCkOVQ0GEQSqx4FhI0Yfrw=' \
--header 'm7-timestamp: 1608719083769' \
--header 'content-type: application/json' \
--data-raw '{
    "taskName": "222122",
    "description": "remark",
    "agentNumberList": ["2000"],
    "queueNumberList": [],
    "agentNumber": "2001"
}'

返回示例

{
    "success":true,
    "code":"200",
    "message":"requestSuccess",
    "requestInfo":{
        "requestId":"88658f2048f411ec976ae72ecaa1b5a6",
        "url":"/openapi/v1/call/dialout/task/create",
        "proxyUrl":"http://v7openapi.7moor.com/openapi/v1/call/dialout/task/create",
        "body":{
            "taskName":"222122",
            "description":"remark",
            "agentNumberList":[
                "2000"
            ],
            "queueNumberList":[],
            "agentNumber":"2001"
        },
        "span":{
            "requestStartTime":1637297563923,
            "proxyStartTime":1637297563926,
            "proxyEndTime":1637297564016,
            "reqEndTime":1637297564016,
            "bizSpan":"90ms",
            "latency":"3ms"
        }
    }
}

更新预览外呼任务

接口说明:用于更新外呼任务

请求参数

字段名称 字段类型 是否必传 字段描述
taskId string 任务id
taskName string 任务名称
description string 任务备注

请求示例

curl --location --request POST 'http://v7openapi.7moor.com/openapi/v1/call/dialout/task/update' \
--header 'm7-appkey: 2000103' \
--header 'm7-nonce: 909455' \
--header 'm7-sign: Bxg/hPidTlWcK9JGHJiI6YCkOVQ0GEQSqx4FhI0Yfrw=' \
--header 'm7-timestamp: 1608719083769' \
--header 'content-type: application/json' \
--data-raw '{   
    "taskId": "97a2f369-6543-44ed-900a-bb6c1469da1e",
    "taskName": "222122",
    "description": "222"
}'

返回示例

{
    "success":true,
    "code":"200",
    "message":"requestSuccess",
    "requestInfo":{
        "requestId":"d43f48a048f411ec976ae72ecaa1b5a6",
        "url":"/openapi/v1/call/dialout/task/update",
        "proxyUrl":"http://v7openapi.7moor.com/openapi/v1/call/dialout/task/update",
        "body":{
            "taskId":"97a2f369-6543-44ed-900a-bb6c1469da1e",
            "taskName":"222122",
            "description":"222"
        },
        "span":{
            "requestStartTime":1637297691178,
            "proxyStartTime":1637297691181,
            "proxyEndTime":1637297691210,
            "reqEndTime":1637297691211,
            "bizSpan":"29ms",
            "latency":"4ms"
        }
    }
}

查询预览外呼任务

接口说明:用于查询外呼任务

请求参数

字段名称 字段类型 是否必传 字段描述
name string 任务名称
status string 任务状态 READY(未开启) DEALING(执行中) PAUSED(暂停) ARCHIVED(归档) 空字符串(所有状态)

请求示例

curl --location --request POST 'http://v7openapi.7moor.com/openapi/v1/call/dialout/task/get' \
--header 'm7-appkey: 2000103' \
--header 'm7-nonce: 909455' \
--header 'm7-sign: Bxg/hPidTlWcK9JGHJiI6YCkOVQ0GEQSqx4FhI0Yfrw=' \
--header 'm7-timestamp: 1608719083769' \
--header 'content-type: application/json' \
--data-raw '{
    "taskName": "测试222232",
    "status": ""
}'

返回参数

字段名称 字段类型 是否必传 字段描述
taskId string 任务id
taskName string 任务名称
description string 任务描述
numberTotal string 任务内号码总数
agentTotal string 任务内座席总数

返回示例

{
    "success":true,
    "code":"200",
    "message":"requestSuccess",
    "data":{
        "list":[
            {
                "taskId":"6ab971b0-6005-452e-9328-0883299619eb",
                "taskName":"测试222232",
                "description":"remark",
                "numberTotal":0,
                "agentTotal":1,
                "createTime":"2021-11-20 18:07:22"
            }
        ],
        "count":1
    },
    "requestInfo":{
        "requestId":"ef6e350048f411ec976ae72ecaa1b5a6",
        "url":"/openapi/v1/call/dialout/task/get",
        "proxyUrl":"http://v7openapi.7moor.com/openapi/v1/call/dialout/task/get",
        "body":{
            "name":"测试33222",
            "status":""
        },
        "span":{
            "requestStartTime":1637297736785,
            "proxyStartTime":1637297736789,
            "proxyEndTime":1637297736851,
            "reqEndTime":1637297736851,
            "bizSpan":"62ms",
            "latency":"4ms"
        }
    }
}

预览外呼号码导入

接口说明:最多一次导入2000条,当座席工号无效或座席工号为空时 将平均分配座席

请求参数

字段名称 字段类型 是否必传 字段描述
agentNumber string 操作导入的座席工号
taskId string 任务id
importData string 导入数据 name(用户名称) number(用户号码) remark(号码备注) agentNumber(座席工号)
rule number 号码查重规则 0(所有任务) 1(当前任务) 2(不查重)

请求示例

curl --location --request POST 'http://v7openapi.7moor.com/openapi/v1/call/dialout/task/import' \
--header 'm7-appkey: 2000103' \
--header 'm7-nonce: 909455' \
--header 'm7-sign: Bxg/hPidTlWcK9JGHJiI6YCkOVQ0GEQSqx4FhI0Yfrw=' \
--header 'm7-timestamp: 1608719083769' \
--header 'content-type: application/json' \
--data-raw '{
    "agentNumber": "9097",
    "taskId": "73f4f068-d6b0-4aa9-bda5-220eea03b4e3",
    "importData": [
        {
            "name": "张三",
            "number": "17319132391",
            "remark": "备注",
            "agentNumber": "2001"
        }
    ],
    "rule": 0
}'

返回示例

{
    "success":true,
    "code":"200",
    "message":"requestSuccess",
    "requestInfo":{
        "requestId":"d43f48a048f411ec976ae72ecaa1b5a6",
        "url":"/openapi/v1/call/dialout/task/import",
        "proxyUrl":"http://v7openapi.7moor.com/openapi/v1/call/dialout/task/import",
        "body":{
    "agentNumber": "9097",
    "taskId": "73f4f068-d6b0-4aa9-bda5-220eea03b4e3",
    "importData": [
        {
            "name": "张三",
            "number": "17319132391",
            "remark": "备注",
            "agentNumber": "2001"
        }
    ],
    "rule": 0
},
        "span":{
            "requestStartTime":1637297691178,
            "proxyStartTime":1637297691181,
            "proxyEndTime":1637297691210,
            "reqEndTime":1637297691211,
            "bizSpan":"29ms",
            "latency":"4ms"
        }
    }
}

删除任务内号码

请求参数

字段名称 字段类型 是否必传 字段描述
taskId string 任务id
customerName string 用户名称
agentNumber string 座席名称
customerNumber number 呼叫号码
remark number 号码备注
callResult number 呼叫结果 NOT_DEAL(未接听) DEALING(通话中) UNDEAL(未拨打)
请求示例
curl --location --request POST 'http://v7openapi.7moor.com/openapi/v1/call/dialout/task/delete' \
--header 'm7-appkey: 2000103' \
--header 'm7-nonce: 909455' \
--header 'm7-sign: Bxg/hPidTlWcK9JGHJiI6YCkOVQ0GEQSqx4FhI0Yfrw=' \
--header 'm7-timestamp: 1608719083769' \
--header 'content-type: application/json' \
--data-raw '{
    "taskId": "6ab971b0-6005-452e-9328-0883299619eb",
    "customerName": "张三",
    "agentNumber": "2000",
    "customerNumber": "17319132394",
    "remark": "90",
    "callResult": "UNDEAL"
}'

返回示例

{
    "success": true,
    "code": "200",
    "message": "requestSuccess",
    "requestInfo": {
        "requestId": "a26f21404b5811ec95b475211e704cb7",
        "url": "/openapi/v1/call/dialout/task/delete",
        "proxyUrl": "http://v7openapi.7moor.com/openapi/v1/call/dialout/task/delete",
        "body": {
    "taskId": "6ab971b0-6005-452e-9328-0883299619eb",
    "customerName": "张三",
    "agentNumber": "2000",
    "customerNumber": "17319132394",
    "remark": "90",
    "callResult": "UNDEAL"
},
        "span": {
            "requestStartTime": 1637560459606,
            "proxyStartTime": 1637560459611,
            "proxyEndTime": 1637560459750,
            "reqEndTime": 1637560459751,
            "bizSpan": "139ms",
            "latency": "6ms"
        }
    }
}